//=============================================================================
//	Professional Music Driver [P.M.D.] version 4.8
//			DLL Import Header
//			Programmed By M.Kajihara
//			Windows Converted by C60
//=============================================================================

#ifdef __cplusplus
extern "C" {
#else
typedef int bool;
#endif

bool WINAPI pmdwininitx(char *path);
void WINAPI pmdwintermx(void);
int WINAPI music_loadx(char *filename);
bool WINAPI setpcmdirx(char **path);
bool WINAPI loadrhythmsamplex(char *path);
void WINAPI setppsusex(bool value);
void WINAPI setpmd86pcmmodex(bool value);
void WINAPI setrhythmwithssgeffectx(bool value);
void WINAPI setfmvoldownx(int voldown);
void WINAPI setssgvoldownx(int voldown);
void WINAPI setrhythmvoldownx(int voldown);
void WINAPI setadpcmvoldownx(int voldown);
void WINAPI setppzvoldownx(int voldown);
void WINAPI setpcmratex(int rate);
void WINAPI music_startx(void);
void WINAPI music_stopx(void);
void WINAPI getpcmdatax(short *buf, int nsamples);
void WINAPI fadeout2x(int speed);
int WINAPI fgettitlex(char *dest, char *filename);
int WINAPI maskonx(int ch);
int WINAPI maskoffx(int ch);
void WINAPI setposx(int pos);
int WINAPI getposx(void);
bool WINAPI getlengthx(char *filename, int *length, int *loop);
int WINAPI getloopcountx(void);
bool WINAPI isplayingx(void);

//	DLL  ߂l
#define	PMDWIN_OK				 	  0		// I
#define	ERR_OPEN_MUSIC_FILE			  1		//  f[^JȂ
#define	ERR_WRONG_MUSIC_FILE		  2		// PMD ̋ȃf[^ł͂Ȃ
#define	ERR_OPEN_PPC_FILE		 	  3		// PPC JȂ
#define	ERR_OPEN_P86_FILE		 	  4		// P86 JȂ
#define	ERR_OPEN_PPS_FILE		 	  5		// PPS JȂ
#define	ERR_OPEN_PPZ1_FILE		 	  6		// PPZ1 JȂ
#define	ERR_OPEN_PPZ2_FILE		 	  7		// PPZ2 JȂ
#define	ERR_WRONG_PPC_FILE		 	  8		// PPC/PVI ł͂Ȃc
#define	ERR_WRONG_P86_FILE		 	  9		// P86 ł͂Ȃ
#define	ERR_WRONG_PPS_FILE		 	 10		// PPS ł͂Ȃ
#define	ERR_WRONG_PPZ1_FILE		 	 11		// PVI/PZI ł͂Ȃ(PPZ1)
#define	ERR_WRONG_PPZ2_FILE		 	 12		// PVI/PZI ł͂Ȃ(PPZ2)
#define	WERNING_PPC_ALREADY_LOAD	 13		// PPC ͂łɓǂݍ܂Ă
#define	WERNING_P86_ALREADY_LOAD	 14		// P86 ͂łɓǂݍ܂Ă
#define	WERNING_PPS_ALREADY_LOAD	 15		// PPS ͂łɓǂݍ܂Ă
#define	WERNING_PPZ1_ALREADY_LOAD	 16		// PPZ1 ͂łɓǂݍ܂Ă
#define	WERNING_PPZ2_ALREADY_LOAD	 17		// PPZ2 ͂łɓǂݍ܂Ă

#define	ERR_WRONG_PARTNO			 30		// p[gԍsK
//#define	ERR_ALREADY_MASKED			 31		// wp[g͂łɃ}XNĂ
#define	ERR_NOT_MASKED				 32		// wp[g̓}XNĂȂ
#define	ERR_MUSIC_STOPPED			 33		// Ȃ~܂Ă̂Ƀ}XN
#define	ERR_EFFECT_USED				 34		// ʉŎgpȂ̂Ń}XN𑀍łȂ

#define	ERR_OUT_OF_MEMORY			 99		// mۂłȂ
#define	ERR_OTHER					999		// ̑̃G[


#define	SOUND_55K			  55555
#define	SOUND_44K			  44100
#define	SOUND_22K			  22050
#define	SOUND_11K			  11025

#ifdef __cplusplus
}
#endif
